Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Policy

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.Policy

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TiePolicy

    public class Policy

extends TieSystemObject

A Policy provides a mechanism for performing specific actions relevant to a particular ClassObject.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` Name of this class.
`static java.lang.String` | `EXECUTIONMODE_ATTRIBUTE` The privileged mode (if any) in which this Policy executes.
`static java.lang.String` | `IMPLEMENTATIONENUM_ATTRIBUTE` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`static java.lang.String` | `IMPLEMENTATIONNAME_ATTRIBUTE` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the Policy.
`static java.lang.String` | `OPERATION_ATTRIBUTE` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`static java.lang.String` | `POLICYACTION_ATTRIBUTE` The fully-qualified class name of the Java PolicyAction.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `Policy(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a Policy.

Method Summary
`protected static Policy` | `constructPolicy(LibrarySession sess, S_LibraryObjectData data)` Constructs a Policy from a S_LibraryObjectData.
`protected static java.util.Vector` | `constructPolicyVector(LibrarySession sess, java.util.Vector vector)` Constructs a Policy Vector from a Vector of S_LibraryObjectData.
`static Policy[]` | `findAll(LibrarySession session)` Returns the set of defined Policies.
`static Policy` | `findByName(LibrarySession session, java.lang.String name)` Returns the a Policy matching the specified name.
`int` | `getExecutionMode()` Gets the privileged mode (if any) in which this Policy executes.
`int` | `getImplementationEnum()` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`java.lang.String` | `getImplementationName()` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find Policy instances by name.
`java.lang.String` | `getOperation()` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`java.lang.String` | `getPolicyAction()` Gets the fully-qualified class name of the Java PolicyAction.
`boolean` | `hasNameAttribute()` Override to return true for any PublicObject, indicating that the instance has a NAME attribute.
`void` | `setExecutionMode(int executionMode)` Sets the privileged mode (if any) in which this Policy executes.
`void` | `setImplementationEnum(int implementation)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `setImplementationName(java.lang.String implementation)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `setOperation(java.lang.String operation)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`void` | `setPolicyAction(java.lang.String policyAction)` Sets the fully-qualified class name of the Java PolicyAction.
`static java.lang.String` | `toExecutionModeLabel(int executionMode)` Gets a localized String label for the specified ExecutionMode value, using the default Localizer.
`static java.lang.String` | `toExecutionModeLabel(int executionMode, LibrarySession session)` Gets a localized String label for the specified ExecutionMode value, using the Localizer for the specified session.
`static java.lang.String` | `toExecutionModeLabel(int executionMode, Localizer localizer)` Gets a localized String label for the specified ExecutionMode value, using the specified Localizer.
`protected static Policy` | `vectorPolicyElement(java.util.Vector vector, int index)` Returns a specific Policy from a Vector of Policy at the specified index.
`protected static Policy[]` | `vectorToPolicyArray(java.util.Vector vector)` Constructs an array of Policy from a Vector of Policy.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `Policy`
  Name of this class.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `Policy`
  The name of the Policy.

  See Also:
    Constant Field Values
  (Published)

### EXECUTIONMODE_ATTRIBUTE

    public static final java.lang.String EXECUTIONMODE_ATTRIBUTE

  Description copied from class: `Policy`
  The privileged mode (if any) in which this Policy executes.

  See Also:
    Constant Field Values
  (Published)

### POLICYACTION_ATTRIBUTE

    public static final java.lang.String POLICYACTION_ATTRIBUTE

  Description copied from class: `Policy`
  The fully-qualified class name of the Java PolicyAction.

  See Also:
    Constant Field Values
  (Published)

### OPERATION_ATTRIBUTE

    public static final java.lang.String OPERATION_ATTRIBUTE

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
  Description copied from class: `Policy`
  The operation with which this Policy is associated.

  See Also:
    Constant Field Values
  (Published)

### IMPLEMENTATIONNAME_ATTRIBUTE

    public static final java.lang.String IMPLEMENTATIONNAME_ATTRIBUTE

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
  Description copied from class: `Policy`
  The name of the method or class where the Policy is implemented.

  See Also:
    Constant Field Values
  (Published)

### IMPLEMENTATIONENUM_ATTRIBUTE

    public static final java.lang.String IMPLEMENTATIONENUM_ATTRIBUTE

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
  Description copied from class: `Policy`
  An enumerated key used to identify this Policy.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### Policy

    protected Policy(LibrarySession session,
                     java.lang.Long id,
                     java.lang.Long classId,
                     S_LibraryObjectData data)
              throws IfsException

  Constructs a Policy.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the Policy data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `Policy`
  Override to return true for any PublicObject, indicating that the instance has a NAME attribute.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getExecutionMode

    public int getExecutionMode()
                         throws IfsException

  Description copied from class: `Policy`
  Gets the privileged mode (if any) in which this Policy executes.

  The allowed execution modes are defined by constants in this class.

  Returns:
    the execution mode
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExecutionMode

    public final void setExecutionMode(int executionMode)
                                throws IfsException

  Description copied from class: `Policy`
  Sets the privileged mode (if any) in which this Policy executes.

  The allowed execution modes are defined by constants in this class.

  Equivalent to:

       AttributeValue av = AttributeValue.newAttributeValue(executionMode);
       setAttribute(EXECUTIONMODE_ATTRIBUTE, av);

  Parameters:
    `executionMode` - the execution mode
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPolicyAction

    public java.lang.String getPolicyAction()
                                     throws IfsException

  Description copied from class: `Policy`
  Gets the fully-qualified class name of the Java PolicyAction.

  Returns:
    the PolicyAction class name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPolicyAction

    public final void setPolicyAction(java.lang.String policyAction)
                               throws IfsException

  Description copied from class: `Policy`
  Sets the fully-qualified class name of the Java PolicyAction.

  Equivalent to:

       AttributeValue av = AttributeValue.newAttributeValue(policyAction);
       setAttribute(POLICYACTION_ATTRIBUTE, av);

  Parameters:
    `policyAction` - the PolicyAction class name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getOperation

    public java.lang.String getOperation()
                                  throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `Policy`
  Gets the operation name that this Policy affects.

  Returns:
    operation name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setOperation

    public final void setOperation(java.lang.String operation)
                            throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `Policy`
  Sets the operation name that this Policy affects.

  Equivalent to:

       AttributeValue av = AttributeValue.newAttributeValue(description);
       setAttribute(OPERATION_ATTRIBUTE, av);

  Parameters:
    `operation` - the operation name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getImplementationName

    public java.lang.String getImplementationName()
                                           throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `Policy`
  Gets the implementation name that is called when this Policy is in effect for the associated operation.

  Returns:
    implementation name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setImplementationName

    public final void setImplementationName(java.lang.String implementation)
                                     throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `Policy`
  Sets the implementation name when this Policy is in effect for the associated operation.

  Equivalent to:

       AttributeValue av = AttributeValue.newAttributeValue(implementation);
       setAttribute(IMPLEMENTATIONNAME_ATTRIBUTE, av);

  Parameters:
    `implementation` - the implementation name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getImplementationEnum

    public int getImplementationEnum()
                              throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `Policy`
  Gets the implementation enumeration value in effect for the associated operation.

  Returns:
    implementation enum value. Returns 0 if no value is specified.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setImplementationEnum

    public void setImplementationEnum(int implementation)
                               throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `Policy`
  Sets the implementation enumeration value when this Policy is in effect for the associated operation.

  Equivalent to:

       AttributeValue av = AttributeValue.newAttributeValue(implementation);
       setAttribute(IMPLEMENTATIONENUM_ATTRIBUTE, av);

  Parameters:
    `implementation` - the implementation enum
  Throws:
    `IfsException` - if the operation fails
  (Published)

### toExecutionModeLabel

    public static java.lang.String toExecutionModeLabel(int executionMode)
                                                 throws IfsException

  Description copied from class: `Policy`
  Gets a localized String label for the specified ExecutionMode value, using the default Localizer.

  Parameters:
    `executionMode` - the execution mode
  Returns:
    the corresponding label
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### toExecutionModeLabel

    public static java.lang.String toExecutionModeLabel(int executionMode,
                                                        LibrarySession session)
                                                 throws IfsException

  Description copied from class: `Policy`
  Gets a localized String label for the specified ExecutionMode value, using the Localizer for the specified session.

  Parameters:
    `executionMode` - the execution mode
    `session` - the session
  Returns:
    the corresponding label
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### toExecutionModeLabel

    public static java.lang.String toExecutionModeLabel(int executionMode,
                                                        Localizer localizer)
                                                 throws IfsException

  Description copied from class: `Policy`
  Gets a localized String label for the specified ExecutionMode value, using the specified Localizer.

  Parameters:
    `executionMode` - the execution mode
    `localizer` - the Localizer, or null to use a temporary Localizer constructed from the VM's default Locale
  Returns:
    the corresponding label
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `Policy`
  Returns the LibraryObjectLookupCache used by find Policy instances by name.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static Policy[] findAll(LibrarySession session)
                            throws IfsException

  Description copied from class: `Policy`
  Returns the set of defined Policies.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of Policies; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static Policy findByName(LibrarySession session,
                                    java.lang.String name)
                             throws IfsException

  Description copied from class: `Policy`
  Returns the a Policy matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the Policy name
  Returns:
    the Policy matching the specified name; or null if there exists no matching Policy
  Throws:
    `IfsException` - if the operation fails.

### constructPolicyVector

    protected static java.util.Vector constructPolicyVector(LibrarySession sess,
                                                            java.util.Vector vector)
                                                     throws IfsException

  Description copied from class: `Policy`
  Constructs a Policy Vector from a Vector of S_LibraryObjectData.

  Parameters:
    `sess` - current LibrarySession
    `vector` - Vector of LibraryObjectData
  Returns:
    Vector of Policy
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructPolicy

    protected static Policy constructPolicy(LibrarySession sess,
                                            S_LibraryObjectData data)
                                     throws IfsException

  Description copied from class: `Policy`
  Constructs a Policy from a S_LibraryObjectData.

  Parameters:
    `sess` - current LibrarySession
    `data` - data component
  Returns:
    the constructed Policy
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToPolicyArray

    protected static Policy[] vectorToPolicyArray(java.util.Vector vector)
                                           throws IfsException

  Description copied from class: `Policy`
  Constructs an array of Policy from a Vector of Policy.

  Parameters:
    `vector` - Vector of Policy
  Returns:
    array of Policy
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorPolicyElement

    protected static Policy vectorPolicyElement(java.util.Vector vector,
                                                int index)
                                         throws IfsException

  Description copied from class: `Policy`
  Returns a specific Policy from a Vector of Policy at the specified index.

  Parameters:
    `vector` - Vector of Policy
    `index` - index into Vector
  Returns:
    the specified Policy
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD